%define		orgname		kdev-python
%define		_kdevelopver	4.7.1
%define		_state		stable
%define		kdever		4.10.0
%define		qtver		4.8.0

Summary:	Python plugins for kdevelop
Summary(pl.UTF-8):	Wtyczki Python dla kdevelop
Name:		kde4-kdevelop-plugin-python
Version:	1.7.1
Release:	3
License:	GPL
Group:		X11/Development/Tools
Source0:	http://download.kde.org/%{_state}/kdevelop/%{_kdevelopver}/src/%{orgname}-%{version}-py3.tar.xz
# Source0-md5:	f670af81e55bbc68fd3bd0443b0fc34e
Patch0:		python-3.5.patch
URL:		http://www.kdevelop.org/
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	gettext-devel
BuildRequires:	kde4-kdelibs-devel >= %{kdever}
BuildRequires:	kde4-kdevplatform-devel >= %{version}
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	python3-devel >= 3.5.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.600
Requires:	kde4-kdevelop >= %{_kdevelopver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python plugins for kdevelop.

%description -l pl.UTF-8
Wtyczki Python dla kdevelop.

%prep
%setup -q -n %{orgname}-%{version}-py3
%patch0 -p1

cd parser
%{__python3} conversionGenerator.py > generated.h

%build
install -d build
cd build
%cmake \
	../
%{__make}
cd ../

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang kdevpython --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f kdevpython.lang
%defattr(644,root,root,755)
%doc DESIGN README.packagers TODO
%attr(755,root,root) %{_libdir}/kde4/kcm_docfiles.so
%attr(755,root,root) %{_libdir}/kde4/kcm_pep8.so
%attr(755,root,root) %{_libdir}/kde4/kdevpdb.so
%attr(755,root,root) %{_libdir}/kde4/kdevpythonlanguagesupport.so
%attr(755,root,root) %{_libdir}/libkdev4pythoncompletion.so
%attr(755,root,root) %{_libdir}/libkdev4pythonduchain.so
%attr(755,root,root) %{_libdir}/libkdev4pythonparser.so
%{_datadir}/apps/kdevappwizard
%{_datadir}/apps/kdevpythonsupport
%{_datadir}/config/kdev_python_docfiles.knsrc
%{_datadir}/kde4/services/kcm_kdevpythondocfiles.desktop
%{_datadir}/kde4/services/kcm_kdevpythonpep8.desktop
%{_datadir}/kde4/services/kdevpdb.desktop
%{_datadir}/kde4/services/kdevpythonsupport.desktop
%changelog
* Fri Dec 30 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kdevelop-plugin-python.git;a=log;h=master

* Fri Dec 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> b2fcc3f
- rel 3; build with python 3.6

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4ebb8a2
- python 3.6
- release 2 (by relup.sh)

* Sat Oct 03 2015 Jan Rękorajski <baggins@pld-linux.org> b7e7de4
- drop bogus kde4-kdevelop-pg-qt BR

* Sat Oct 03 2015 Jan Rękorajski <baggins@pld-linux.org> f50ac98
- bump python BR

* Sat Oct 03 2015 Jan Rękorajski <baggins@pld-linux.org> 815f3a7
- fix building with python 3.5

* Fri Oct 02 2015 Jan Rękorajski <baggins@pld-linux.org> 7030b9f
- up to 1.7.1

* Tue Sep 15 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d1e0410
- python 3.5 rebuild
- release 3 (by relup.sh)

* Tue Nov 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> a16baaa
- rel 2; fix file name

* Tue Nov 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f5e4b28
- initial

